#import "gTxtEditApp.h"

@implementation gTxtEditApp

- (void)applicationDidFinishLaunching:(id)unused
{
	rect = [ UIHardware fullScreenApplicationContentRect ];
	
	rect.origin.x = 0.0f;
	rect.origin.y = 0.0f;
	
	window = [ [ UIWindow alloc ] initWithFrame: rect ];
	[ window makeKeyAndVisible ];
	
	mainView = [ [ UITransitionView alloc ] initWithFrame: rect ];
	[ window setContentView: mainView ];
	
	gView = [ [ gTxtEditView alloc ] initWithFrame: rect ];
	[ mainView addSubview: gView ];

	[gView reset];
	[gView loadAutoSaveFile];
}

- (void)dealloc
{
	[ gView release ];
	[ window release ];
	[ mainView release ];
	[ super dealloc ];
}


- (void)applicationWillTerminate:(UIApplication *)application
{
    [gView autosave];
}

@end